'  
'  Some general formatting and HTML routines
'
#commandset General Formatting
#register /b BoldText Displays the Line of text in a bold font
#register /i ItalicText Displays the Line of text in an italic font
#register /big BigText Displays the Line of text in a larger sized font
#register /red RedText Displays the Line of text in red
#register /center CenterText Centers the Line of text
#register /link Hyperlink Makes the Line of text a hyperlink. ex:  /link www.nbos.com
#register /pict PictureURL Displays the picture specified by the given URL.  ex: /pict http://www.nbos.com/mapper/sample1.gif

Sub BoldText
	cs = GetChatSession()
	ci = cs.GetLastItem()
	
	ci.Text = WrapLineWithTag( ci.Text, "<b>", "</b>")
End Sub

Sub ItalicText
	cs = GetChatSession()
	ci = cs.GetLastItem()
	
	ci.Text = WrapLineWithTag( ci.Text, "<i>", "</i>")
End Sub


Sub BigText
	cs = GetChatSession()
	ci = cs.GetLastItem()
	
	ci.Text = WrapLineWithTag( ci.Text, "<font size=+3>", " </font>")
End Sub
	
Sub RedText
	cs = GetChatSession()
	ci = cs.GetLastItem()

	ci.Text = WrapLineWithTag( ci.Text, "<font color=red>", " </font>")
End Sub

Sub CenterText
	cs = GetChatSession()
	ci = cs.GetLastItem()
	
	ci.Text = WrapLineWithTag( ci.Text, "<center>", " </center>")
End Sub

Function WrapLineWithTag( sLine, sTagOpen, sTagClose)
	nStart = 0

	sLine = LTrim( sLine)

	'Be sure to start the tag wrapping after any other commands,
	'so that tags could be accumulated like <b><center><i>...
	If Left( sLine, 1) = "/" Then
		nStart = InStr( sLine, " ")
	End If

	If nStart > 0 Then
		sLine = Left( sLine, nStart) & sTagOpen & Mid( sLine, nStart+1) & sTagClose
	Else
		sLine =  sTagOpen & sLine & sTagClose
	End If
	
	WrapLineWithTag = sLine
End Function




Sub Hyperlink
	cs = GetChatSession()
	ci = cs.GetLastItem()
	
	ci.Text = Trim( ci.Text)
	If Left( LCase(ci.Text), 7) <> "http://" Then
		ci.Text = "http://" + ci.Text
	End If
		
	ci.Text = "<a href='" + ci.Text + "' target='_blank'>" + ci.Text + "</a>"
End Sub

Sub PictureURL
	cs = GetChatSession()
	ci = cs.GetLastItem()

	ci.Text = Trim( ci.Text)
	If Left( LCase(ci.Text), 7) <> "http://" Then
		ci.Text = "http://" + ci.Text
	End If
	
	ci.Text = "<img src='" + ci.Text + "'>"
End Sub
	